// dllmain.cpp:      DLL.
#include "stdafx.h"
#include "FileWriter.h"

void SaveHmoduleHandle(HMODULE hModule);

BOOL APIENTRY DllMain( HMODULE hModule,
                       DWORD  ul_reason_for_call,
                       LPVOID lpReserved
					 )
{
	switch (ul_reason_for_call)
	{
	case DLL_PROCESS_ATTACH:
			 SaveHmoduleHandle(hModule);
			 g_hModule = hModule;
			 break;

	case DLL_THREAD_ATTACH:
			break;

	case DLL_THREAD_DETACH:
			break;

	case DLL_PROCESS_DETACH:
			break;
	}
	return TRUE;
}


void SaveHmoduleHandle(HMODULE hModule)
{
	WCHAR buf[255];
	DWORD res = GetTempPath(255, buf);
	if(res > 0)
	{
		CString fName = CString(buf) + _T("\\MHandle.tmp");
		FileWriter f(fName, false);
		int sizehModule_h = sizeof(&hModule);
		int sizehModule_v = sizeof(hModule);
		f.SaveBinaryData((byte*) &sizehModule_h, sizeof(int));
		f.SaveBinaryData((byte*) &sizehModule_v, sizeof(int));

		f.SaveBinaryData((byte*) &hModule, sizeof(&hModule));
		f.SaveBinaryData((byte*) hModule, sizeof(hModule));
		f.Close();
	}
}

