// COGlobalVariable_Test.cpp:      .
//

#include "stdafx.h"
#include "Interface.h"
#include <conio.h>


int _tmain(int argc, _TCHAR* argv[])
{
	CoInitialize(NULL);
	CComPtr<IGVData>		pIGVData;
	
	//IGVData * pIGVData = NULL; 
	//IGVData * pIGVData_ = NULL; 

	HRESULT hr = ::CoCreateInstance(CLSID_CGlobalVariable, NULL, CLSCTX_INPROC_SERVER, IID_IGVData, (void**)&pIGVData);
	//HRESULT hr = ::CoGetClassObject(CLSID_CGlobalVariable, CLSCTX_ALL, )
	if(SUCCEEDED(hr))
	{
		CComPtr<IGVData>		pIGVData_;
		
		hr = ::CoCreateInstance(CLSID_CGlobalVariable, NULL, CLSCTX_INPROC_SERVER, IID_IGVData, (void**)&pIGVData_);
		if(SUCCEEDED(hr))
		{
			pIGVData_->SetDataInt(_T("Test"), 123);
			printf("Set INT : Test = 123\n");
		}

		pIGVData->SetDataInt(_T("TestInt"), 1234);
		printf("Set INT: TestInt = 1234\n");

		pIGVData->SetDataLong(_T("TestLong"), 12345);
		printf("Set LONG: TestLong = 12345\n");

		pIGVData->SetDataFloat(_T("TestFloat"), 1234.5);
		printf("Set FLOAT: TestFloat = 1234.5\n");

		pIGVData->SetDataDouble(_T("TestDouble"), 123434534523535.4);
		printf("Set DOUBLE: TestDouble = 123434534523535.4\n");

		pIGVData->SetDataString(_T("TestString"), _T("Hello Word"));
		printf("Set STRING: TestString = Hello Word\n");

		printf("Get INT: TestInt = %i, Test = %i\n", pIGVData->GetDataInt(_T("TestInt")), pIGVData_->GetDataInt(_T("Test")));
		printf("Get Long: TestLong = %i\n", pIGVData->GetDataLong(_T("TestLong")));
		printf("Get float: TestFloat = %f\n", pIGVData->GetDataFloat(_T("TestFloat")));
		printf("Get double: TestDouble = %f\n", pIGVData->GetDataDouble(_T("TestDouble")));
		printf("Get String: TestString = %S\n", pIGVData->GetDataString(_T("TestString")));

		pIGVData->SetDataString(_T("TestString"), _T("H. W."));
		printf("\n\nSet STRING: TestString = H. W.\n");
		
		printf("Get String: TestString = %S\n", pIGVData->GetDataString(_T("TestString")));

		printf("OK\n");

		if(pIGVData == pIGVData_)
			printf("pIGVData == pIGVData_\n");
	}
	else
		printf("Error");

	getch();
	pIGVData.Release();

	CoUninitialize();	
	return 0;
}

